%define pypi_name pysnmp
%define with_python3 1

Name:           python-pysnmp
Version:        4.2.5
Release:        %mkrel 4
Group:          Development/Python
Summary:        A pure-Python SNMPv1/v2c/v3 library

License:        BSD
URL:            http://pysnmp.sf.net/
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       net-snmp

%description
SNMP v1/v2c/v3 engine and apps written in pure-Python. Supports
Manager/Agent/Proxy roles, scriptable MIBs, asynchronous operation and multiple
transports. More info at http://pysnmp.sf.net

%package -n     python3-%{pypi_name}
Summary:        A pure-Python SNMPv1/v2c/v3 library
Group:          Development/Python 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools 
Requires:       net-snmp

%description -n python3-%{pypi_name}
SNMP v1/v2c/v3 engine and apps written in pure-Python. Supports
Manager/Agent/Proxy roles, scriptable MIBs, asynchronous operation and multiple
transports. More info at http://pysnmp.sf.net


%prep
%setup -q -n %{pypi_name}-%{version}


cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc CHANGES LICENSE README THANKS TODO docs/ 
%{_bindir}/build-pysnmp-mib
%{_bindir}/libsmi2pysnmp
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%files -n python3-%{pypi_name}
%doc CHANGES LICENSE README THANKS TODO docs/ 
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 4.2.5-4.mga5
+ Revision: 743886
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.2.5-3.mga5
+ Revision: 729572
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.2.5-2.mga5
+ Revision: 688280
- Mageia 5 Mass Rebuild

* Thu Jun 19 2014 philippem <philippem> 4.2.5-1.mga5
+ Revision: 638158
- imported package python-pysnmp

